Subject: bug#73470: closed (Re: bug#73470: Rmail is not working with maildirs)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Oct 2024 11:20:02 +0000

Your bug report

#73470: Rmail is not working with maildirs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73470: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73470
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73470: Rmail is not working with maildirs
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 12 Oct 2024 14:18:35 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Fri, 27 Sep 2024 20:50:14 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Marc Coquand <[email-masked]>
> > Cc: [email-masked]
> > Date: Fri, 27 Sep 2024 19:38:15 +0300
> > 
> > 
> > Version is GNU Emacs 29.4 (build 2, x86_64-unknown-linux-gnu, X toolkit,
> > cairo version 1.18.0) of 2024-06-25.
> > 
> > I was able to change so I can read the inbox, I can read inbox files by
> > changing the command to
> > 
> > (setq rmail-primary-inbox-list
> > '("maildir:///home/mccd/mail/home/INBOX"))
> > 
> > Ideally though it'd be nice to have all email available from the
> > subdirectories as well. Perhaps this is not supported by Rmail.
> 
> Yes, it must be one file name.  But maybe you can try to add more
> elements to the list for the other directories?
> 
> > This is the messages output:
> > Wrote /home/mccd/RMAIL
> > Computing summary lines...done
> > X new messages read
> > Making completion list...
> 
> Thanks, so this bug can be closed, I guess?

No further comments in 2 weeks, so I assume the bug can be closed.

Subject: Rmail is not working with maildirs
From: Marc Coquand <[email-masked]>
To: [email-masked]
Date: Wed, 25 Sep 2024 15:20:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that according to the documentation, rmail should work with
maildirs, assuming you have movemail installed.
 
I made sure GNU movemail is installed and tried setting my maildir using
set-rmail-inbox-list command. I set it to maildir://~/my-mail, which is
the folder where my mail is stored. It loads without issue on other
mail clients.
 
However, with rmail I get the error when fetching the mail saying "No
mail.". I would expect it to load my email.

The maildirs were created with isync.